print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local shroomHudFile = "Paletten/hud_fill_shroom.dds"
	local shroomHudFileSmall = "Paletten/hud_fill_shroom_smal.dds"
	
    local shroomFilType = g_fillTypeManager:addFillType("SHROOM", g_i18n:getText("shroom"), true, pricebeer * 1.0, 0.00045, math.rad(10), shroomHudFile, shroomHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasshroom=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasshroom=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "SHROOM" then
		hasshroom=true
	end;
		
end;

		if hasmaize and not hasshroom then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("SHROOM")
		local price = g_fillTypeManager:getFillTypeByName("SHROOM").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("SHROOM")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)